--commande joueur
TriggerEvent("es:addCommand", "payer", function(source, args, user)
	if (args[2] ~= nil and tonumber(args[3]) > 0) then
			local sourceID = tonumber(source)
			local receptionID = tonumber(args[2])
			local demande = tonumber(args[3])
			TriggerEvent('CheckMoney', sourceID, receptionID, demande)
	else		
	TriggerEvent("chatMessage", "", { 255, 255, 255 }, "Use : /payer id sum") 
	end
	
end)


RegisterServerEvent('CheckMoney')
--verifie et fait le transfert joueur
AddEventHandler('CheckMoney', function(sourceID, receptionID, demande)
	TriggerEvent('es:getPlayerFromId', sourceID, function(user)
		--regarde si il a assez d'argent
		if (tonumber(user.money) >= tonumber(demande)) then
			-- si oui fait le virement
			local player = user.identifier
			user:removeMoney((demande))	
		
			TriggerEvent('es:getPlayerFromId', receptionID, function(user2)
				local player2 = user2.identifier
				user2:addMoney((demande))
				TriggerClientEvent("chatMessage", receptionID , "Vous avez recu de l argent ", { 52, 201, 36 }, "Vous avez recu la somme de "..demande.." Euro")
				TriggerClientEvent("chatMessage", sourceID, "Payment recu ", { 255, 0, 0 }, "Votre paiement de "..demande.." est accepter")
			end)	
		else
				-- sinon informe le joueur 
			if (tonumber(user.money) < tonumber(demande)) then
			
				TriggerClientEvent("chatMessage", player, "", { 255, 0, 0 }, "Vous n avez pas assez d argent")
			end
		end
	end) 	
end)
